# Asterisk Project : Asterisk 13 Application_VoiceMailMain

Created by wikibot on Aug 08, 2014

# VoiceMailMain()

### Synopsis

Check Voicemail messages.

### Description

This application allows the calling party to check voicemail messages. A specific mailbox, and optional corresponding context, may be specified. If a mailbox is not provided, the calling party will be prompted to enter one. If a context is not specified, the `default` context will be used.

The VoiceMailMain application will exit if the following DTMF digit is entered as Mailbox or Password, and the extension exists:

- `*` - Jump to the `a` extension in the current dialplan context.

### Syntax

    VoiceMailMain([mailbox@[context]],[options])

##### Arguments

- `mailbox`
  - `mailbox`
  - `context`
- `options`
  - `p` - Consider the mailbox parameter as a prefix to the mailbox that is entered by the caller.
  - `g` - Use the specified amount of gain when recording a voicemail message. The units are whole-number decibels (dB).
    - `#`
  - `s` - Skip checking the passcode for the mailbox.
  - `a` - Skip folder prompt and go directly to folder specified. Defaults to `INBOX` (or `0`).
    - `folder`
    - `0` - INBOX
    - `1` - Old
    - `2` - Work
    - `3` - Family
    - `4` - Friends
    - `5` - Cust1
    - `6` - Cust2
    - `7` - Cust3
    - `8` - Cust4
    - `9` - Cust5

### See Also

- Asterisk 13 Application_VoiceMail

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538